Page MenuHomePhabricator

Add Python binding for MLIR Type Attribute
ClosedPublic

Authored by mehdi_amini on Dec 4 2020, 6:23 PM.

Diff Detail

Event Timeline

mehdi_amini created this revision.Dec 4 2020, 6:23 PM
mehdi_amini requested review of this revision.Dec 4 2020, 6:23 PM
stellaraccident accepted this revision.Dec 4 2020, 10:53 PM
This revision is now accepted and ready to land.Dec 4 2020, 10:53 PM
ftynse added inline comments.Dec 6 2020, 2:54 PM
mlir/lib/Bindings/Python/IRModules.cpp
1939

Copy-pasta

1940

Naming nit: I would have called this "value". The value of a TypeAttribute is the type that the attribute stores, the type of this attribute is a type type (or nullptr in MLIR AFAIR). This is also consistent with the argument name in the constructor.

mlir/test/Bindings/Python/ir_attributes.py
265

Nit: rattr -> attr ?

This revision was landed with ongoing or failed builds.Dec 7 2020, 3:07 PM
This revision was automatically updated to reflect the committed changes.
mehdi_amini marked 3 inline comments as done.